﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;
using System.Windows.Forms;

namespace CallBackDemo
{
    interface ICallBack
    {
        void Demo(int address);
    }

    public class CDemo: ICallBack
    {
        [DllImport("user32")]
        private static extern int CallWindowProc (int lpPrevWndFunc, int hWnd, int Msg, int wParam, int lParam);

        public void Demo(int address)
        {
            MessageBox.Show("In C# Demo function. address = " + address.ToString("X"));
            int retval = CallWindowProc(address, 1, 2, 3, 4);
            MessageBox.Show("C# Demo complete ret value was = " + retval.ToString("X"));
        }


    }
}
